name: speech_to_text_macos
description: macOS implementation of the speech_to_text plugin
repository: https://github.com/csdcorp/speech_to_text/speech_to_text_macos
issue_tracker: https://github.com/csdcorp/speech_to_text/issues
version: 1.1.0

environment:
  sdk: ">=3.0.0 <4.0.0"
  flutter: ">=3.10.0"

dependencies:
  flutter:
    sdk: flutter
  plugin_platform_interface: ^2.1.4
  speech_to_text_platform_interface: ^2.2.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.1

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:
  plugin:
    implements: speech_to_text
    platforms:
      macos:
        pluginClass: SpeechToTextMacosPlugin
        dartPluginClass: SpeechToTextMacOS
